package cn.net.caoyao.cpzshandset.common.config;

import android.content.Context;
import android.content.Intent;
import cn.net.caoyao.cpzshandset.common.util.CacheGet;
import cn.net.caoyao.cpzshandset.db.presenter.DealerOutDal;
import cn.net.caoyao.cpzshandset.db.presenter.PackDal;
import cn.net.caoyao.cpzshandset.db.presenter.PackPackageDal;
import cn.net.caoyao.cpzshandset.db.presenter.PackSubLabelDal;
import cn.net.caoyao.cpzshandset.db.presenter.SalesDal;
import cn.net.caoyao.cpzshandset.db.presenter.ShipmentUploadStatusDal;
import cn.net.caoyao.cpzshandset.db.presenter.UnPackDal;
import cn.net.caoyao.cpzshandset.db.presenter.UploadStatusDal;
import cn.net.caoyao.cpzshandset.db.presenter.UserLoginDal;
import cn.net.caoyao.cpzshandset.db.presenter.WarehouseDal;
import cn.net.caoyao.cpzshandset.service.presenter.ActivateConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.BatchLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.CarNoDetailListConstact;
import cn.net.caoyao.cpzshandset.service.presenter.DeviceIdConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.HomeConstact;
import cn.net.caoyao.cpzshandset.service.presenter.LoginConstact;
import cn.net.caoyao.cpzshandset.service.presenter.OptionHisListStyleConstact;
import cn.net.caoyao.cpzshandset.service.presenter.PackConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.ProductDetailListConstact;
import cn.net.caoyao.cpzshandset.service.presenter.QueryConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SaleConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SearchInputStyleConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SettingConstact;
import cn.net.caoyao.cpzshandset.service.presenter.ShipmentScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.ShipmentSingleScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SingleLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.TrainInvoiceConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.TruckInvoiceConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.TruckInvoiceInputConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.UnpackConstact;
import cn.net.caoyao.cpzshandset.service.presenter.UploadStatusConstact;
import cn.net.caoyao.cpzshandset.service.presenter.WarehouseConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.tools.ActivateConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.BackWarehouseConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.BingConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.CarConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.CounterSaleCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.ExchangeCargoConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.FarmConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.HomeConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.InWarehouseConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.LoginConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.OutWarehouseConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.PackBoxConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.PackConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.PlantConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.ProductConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.QueryConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.ReturnsCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.SaleConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.SettingConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.TrainShipmentConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.TruckShipmentConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.UnPackConfigCreateTools;
import cn.net.caoyao.cpzshandset.service.presenter.tools.UploadStatusCreateTools;

public class ConfigCreateService {
	private HomeConfigCreateTools homePresenterCreateTools;
	private ActivateConfigCreateTools activatePresenterCreate;
	private SettingConfigCreateTools settingPresenterCreateTools;
	private ProductConfigCreateTools productPresenterCreateTools;
	private PackConfigCreateTools packPresenterCreateTools;
	private UnPackConfigCreateTools unPackPresenterCreateTools;
	private OutWarehouseConfigCreateTools outWarehousePresenterCreateTools;
	private InWarehouseConfigCreateTools inWarehousePresenterCreateTools;
	private BackWarehouseConfigCreateTools backWarehousePresenterCreateTools;
	private SaleConfigCreateTools salePresenterCreateTools;
	private FarmConfigCreateTools farmPresenterCreateTools;
	private PlantConfigCreateTools plantPresenterCreateTools;
	private TrainShipmentConfigCreateTools trainShipmentPresenterCreateTools;
	private TruckShipmentConfigCreateTools truckShipmentPresenterCreateTools;
	private UploadStatusCreateTools uploadStatusCreateTools;
	private QueryConfigCreateTools queryConfigCreateTools;
	private LoginConfigCreateTools loginConfigCreateTools;
	private ExchangeCargoConfigCreateTools exchangeCargoCreateTools;
	private CounterSaleCreateTools counterSaleCreateTools;
	private ReturnsCreateTools returnsCreateTools;
	private CarConfigCreateTools carConfigCreateTools;
	private BingConfigCreateTools bingConfigCreateTools;
	private PackBoxConfigCreateTools packBoxConfigCreateTools;

	public ConfigCreateService() {

	}

	/**
	 * 创建手持机的版本模式
	 * 
	 * @param cacheGet
	 * @param context
	 * @return
	 */
	public int getHandsetVersionMode(CacheGet cacheG, Context context) {
		if (Config.canSwitchHandsetVersionMode) { //判断是否有改变版本的功能
			// 默认为0，通用版  取不到
 			return cacheG.getCacheIntegerG(context, Config.handsetVersionConfigSp, Config.currentHandsetVersion);
		} else {
			return Config.CURRENT_HANDSET_VERSION_MODE;
		}
	}

	/**
	 * 创建手持机的扫码方式
	 * 
	 * @param cacheGet
	 * @param context
	 * @return
	 */
	public int getScannerMode(CacheGet cacheG, Context context) {
		if (Config.canSwitchScannerMode) {
			// 默认为0，通用版
			return cacheG.getCacheIntegerG(context, Config.handsetVersionConfigSp, Config.currentScannerMode);
		} else {
			return Config.CURRENT_SCANNER_MODE;
		}
	}

	/**
	 * 获取首页的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public HomeConstact.Presenter createHomePresenter(CacheGet cacheG, Context context, HomeConstact.View homeView,
			Intent intent) {
		return getHomeCreate().createHomePresenter(getHandsetVersionMode(cacheG, context), context, homeView, intent);
	}
	
	/**
	 * 获取登录界面的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param loginView
	 * @param intent
	 * @return
	 */
	public LoginConstact.Presenter createLoginPresenter(CacheGet cacheG, Context context, LoginConstact.View loginView,
			Intent intent) {
		return getLoginCreate().createLoginPresenter(getHandsetVersionMode(cacheG, context), context, loginView, intent);
	}

	/**
	 * 获取登录界面的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param loginView
	 * @param intent
	 * @return
	 */
	public UserLoginDal createLoginDal(CacheGet cacheG, Context context) {
		return getLoginCreate().createLoginDal(getHandsetVersionMode(cacheG, context), context);
	}

	private LoginConfigCreateTools getLoginCreate() {
		if (loginConfigCreateTools == null) {
			loginConfigCreateTools = new LoginConfigCreateTools();
		}
		return loginConfigCreateTools;
	}

	/**
	 * 创建激活配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param configView
	 * @param intent
	 * @return
	 */
	public ActivateConfigConstact.Presenter createActivateConfigPresenter(CacheGet cacheG, Context context,
			ActivateConfigConstact.View configView, Intent intent) {
		return getActivateCreate().createActivateConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				configView, intent);
	}
	/**
	 * 创建激活配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param configView
	 * @param intent
	 * @return
	 */
	public ActivateConfigConstact.Presenter createActivateWithPackConfigPresenter(CacheGet cacheG, Context context,
			ActivateConfigConstact.View configView, Intent intent) {
		return getActivateCreate().createActivateWithPackConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				configView, intent);
	}
	
	/**
	 * 创建激活配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param configView
	 * @param intent
	 * @return
	 */
	public ActivateConfigConstact.Presenter createPackBottleBoxConfigPresenter(CacheGet cacheG, Context context,
			ActivateConfigConstact.View configView, Intent intent) {
		return getPackBoxCreate().createPackBottleBoxConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				configView, intent);
	}
	/**
	 * 创建激活配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param configView
	 * @param intent
	 * @return
	 */
	public ActivateConfigConstact.Presenter createActivateWithRelationConfigPresenter(CacheGet cacheG, Context context,
			ActivateConfigConstact.View configView, Intent intent) {
		return getActivateCreate().createActivateWithRelationConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				configView, intent);
	}
	/**
	 * 获取激活列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getActivateCreate().createActivateListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	
	/**
	 * 获取激活列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateWithPackListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getActivateCreate().createActivateWithPackListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateWithPackSubListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getActivateCreate().createActivateWithPackSubListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateWithRelationListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getActivateCreate().createActivateWithRelationListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	
	/**
	 * 获取补垛列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return REPLENISH_BING
	 */
	public OptionHisListStyleConstact.Presenter createPackBottleBoxListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getPackBoxCreate().createPackBottleBoxListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createPackBottleBoxSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getPackBoxCreate().createPackBottleBoxSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createPackGiftBoxSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getPackBoxCreate().createPackGiftBoxSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取补垛列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return REPLENISH_BING
	 */
	public OptionHisListStyleConstact.Presenter createPackBottleBoxSubListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getPackBoxCreate().createPackBottleBoxSubListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	
	/**
	 * 获取补垛列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return REPLENISH_BING
	 */
	public OptionHisListStyleConstact.Presenter createPackGiftBoxListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getPackBoxCreate().createPackGiftBoxListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	/**
	 * 获取补垛列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return REPLENISH_BING
	 */
	public OptionHisListStyleConstact.Presenter createPackGiftBoxSubListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getPackBoxCreate().createPackGiftBoxSubListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	/**
	 * 获取补垛列表的presenter
	 * * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return REPLENISH_BING
	 */
	public OptionHisListStyleConstact.Presenter createReplenidhBingListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getBingCreate().createReplenidhBingListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createReplenidhBingSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getBingCreate().createReplenidhBingSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createActivateSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getActivateCreate().createActivateSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createActivateWitPackSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getActivateCreate().createActivateWithPackSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createActivateWithRelationSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getActivateCreate().createActivateWithRelationSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createPackSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getPackCreate().createPackSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createCounterSaleSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getCounterSaleCreateTools().createCounterSaleSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createReturnsSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getReturnsCreateTools().createReturnsSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public BatchLabelScannerConstact.Presenter createActivateBatchLabelScannerPresenter(CacheGet cacheG, Context context,
			BatchLabelScannerConstact.View bView, Intent intent) {
		return getActivateCreate().createActivateBatchLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, bView,
				intent);
	}
	/**
	 * 获取激活列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public BatchLabelScannerConstact.Presenter createActivateRelationBatchLabelScannerPresenter(CacheGet cacheG, Context context,
			BatchLabelScannerConstact.View bView, Intent intent) {
		return getActivateCreate().createActivateRelationBatchLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, bView,
				intent);
	}
	/**
	 * 获取调货批量扫码的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public BatchLabelScannerConstact.Presenter createExchangeCargoBatchLabelScannerPresenter(CacheGet cacheG, Context context,
			BatchLabelScannerConstact.View bView, Intent intent) {
		return getExchangeCargoCreate().createExchangeCargoBatchLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, bView,
				intent);
	}
	/**
	 * 创建设置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param configView
	 * @param intent
	 * @return
	 */
	public SettingConstact.Presenter createSettingPresenter(CacheGet cacheG, Context context,
			SettingConstact.View settingView, Intent intent) {
		return getSettingCreate().createSettingPresenter(getHandsetVersionMode(cacheG, context), context, settingView,
				intent);
	}

	/**
	 * 创建配置设备id的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param configView
	 * @param intent
	 * @return
	 */
	public DeviceIdConfigConstact.Presenter createDeviceIdConfigPresenter(CacheGet cacheG, Context context,
			DeviceIdConfigConstact.View dView, Intent intent) {
		return getSettingCreate().createDeviceIdConfigPresenter(getHandsetVersionMode(cacheG, context), context, dView,
				intent);
	}

	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public ProductDetailListConstact.Presenter createProductListPresenter(CacheGet cacheG, Context context,
			ProductDetailListConstact.View pLView, Intent intent) {
		return getProductCreate().createProductListPresenter(getHandsetVersionMode(cacheG, context), context, pLView,
				intent);
	}
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public CarNoDetailListConstact.Presenter createCarNoListPresenter(CacheGet cacheG, Context context,
			CarNoDetailListConstact.View pLView, Intent intent) {
		return getCarCreateTools().createCarNoListPresenter(getHandsetVersionMode(cacheG, context), context, pLView,
				intent);
	}
	
	/**
	 * 创建打包配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param configView
	 * @param intent
	 * @return
	 */
	public PackConfigConstact.Presenter createPackConfigPresenter(CacheGet cacheG, Context context,
			PackConfigConstact.View pView, Intent intent) {
		return getPackCreate().createPackConfigPresenter(getHandsetVersionMode(cacheG, context), context, pView, intent);
	}
	/**
	 * 获取打包列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createPackListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getPackCreate().createPackListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);

	}
	
	/**
	 * 获取打包列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createPackSubListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getPackCreate().createPackSubListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);

	}
	
	/**
	 * 获取打包列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public PackDal createPackDal(CacheGet cacheG, Context context) {
		return getPackCreate().createPackDal(getHandsetVersionMode(cacheG, context), context);
	}
	
	public PackPackageDal createPackPackageDal(CacheGet cacheG, Context context) {
		return getPackCreate().createPackPackageDal(getHandsetVersionMode(cacheG, context), context);
	}
	public PackSubLabelDal createPackSubDal(CacheGet cacheG, Context context) {
		return getPackCreate().createPackSubDal(getHandsetVersionMode(cacheG, context), context);
	}

	/**
	 * 获取拆包 数据库的DAL
	 * 
	 * @param cacheG
	 * @param context
	 * @return
	 */
	public UnPackDal createUnPackDal(CacheGet cacheG, Context context) {
		return getUnPackCreate().createUnPackDal(getHandsetVersionMode(cacheG, context), context);
	}
	
	/**
	 * 获取拆包信息的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public UnpackConstact.Presenter createUnPackInfoPresenter(CacheGet cacheG, Context context,
			UnpackConstact.View pView, Intent intent) {
		return getUnPackCreate().createUnPackInfoPresenter(getHandsetVersionMode(cacheG, context), context, pView,
				intent);
	}
	
	/**
	 * 获取操作出入库相关的 数据库 dal
	 * 
	 * @param cacheG
	 * @param context
	 * @return
	 */
	public WarehouseDal createWarehouseDal(CacheGet cacheG, Context context) {
		return getOutWarehouseCreate().createWarehouseDal(getHandsetVersionMode(cacheG, context), context);
	}

	/**
	 * 获取出库列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createOutWarehouseListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getOutWarehouseCreate().createOutWarehouseListPresenter(getHandsetVersionMode(cacheG, context), context,
				hisView, intent);
	}
	
	/**
	 * 获取出库列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createOutWarehouseSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getOutWarehouseCreate().createOutWarehouseSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context,
				sView, intent);
	}
	
	
	/**
	 * 获取出库配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public WarehouseConfigConstact.Presenter createOutWarehouseConfigPresenter(CacheGet cacheG, Context context,
			WarehouseConfigConstact.View wView, Intent intent) {
		return getOutWarehouseCreate().createOutWarehouseConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				wView, intent);
	}
	
	/**
	 * 获取出库配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public WarehouseConfigConstact.Presenter createDealerOutConfigPresenter(CacheGet cacheG, Context context,
			WarehouseConfigConstact.View wView, Intent intent) {
		return getOutWarehouseCreate().createDealerOutConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				wView, intent);
	}

	/**
	 * 获取入库列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createInWarehouseListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getInWarehouseCreate().createInWarehouseListPresenter(getHandsetVersionMode(cacheG, context), context,
				hisView, intent);
	}
	
	/**
	 * 获取入库扫码的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createInWarehouseSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getInWarehouseCreate().createInWarehouseSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context,
				sView, intent);
	}
	
	/**
	 * 获取入库配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public WarehouseConfigConstact.Presenter createInWarehouseConfigPresenter(CacheGet cacheG, Context context,
			WarehouseConfigConstact.View wView, Intent intent) {
		return getInWarehouseCreate().createInWarehouseConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				wView, intent);
	}

	/**
	 * 获取返库列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createBackWarehouseListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getbackWarehouseCreate().createBackWarehouseListPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	
	/**
	 * 获取入库扫码的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createBackWarehouseSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getbackWarehouseCreate().createBackWarehouseSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context,
				sView, intent);
	}
	
	/**
	 * 获取返库配置的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public WarehouseConfigConstact.Presenter createBackWarehouseConfigPresenter(CacheGet cacheG, Context context,
			WarehouseConfigConstact.View wView, Intent intent) {
		return getbackWarehouseCreate().createBackWarehouseConfigPresenter(getHandsetVersionMode(cacheG, context), context,
				wView, intent);
	}
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createSaleSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getSaleCreate().createSaleSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createDealerOutSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getSaleCreate().createDealerOutSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public BatchLabelScannerConstact.Presenter createDealerOutBatchLabelScannerPresenter(CacheGet cacheG, Context context,
			BatchLabelScannerConstact.View sView, Intent intent) {
		return getSaleCreate().createDealerOutBatchLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取调货单标扫码的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createExchangeCargoSingleLabelScannerPresenter(CacheGet cacheG, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		return getExchangeCargoCreate().createExchangeCargoSingleLabelScannerPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SaleConfigConstact.Presenter createSaleConfigPresenter(CacheGet cacheG, Context context,
			SaleConfigConstact.View sView, Intent intent) {
		return getSaleCreate().createSaleConfigPresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	/**
	 * 获取选择经销商的presenter
	 * @param cacheG
	 * @param context
	 * @param sView
	 * @param intent
	 * @return
	 */
	public SearchInputStyleConstact.Presenter createDealerChoicePresenter(CacheGet cacheG, Context context,
			SearchInputStyleConstact.View sView, Intent intent){
		
		return getSaleCreate().createDealerChoicePresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	
	/**
	 * 获取选择经销商的presenter
	 * @param cacheG
	 * @param context
	 * @param sView
	 * @param intent
	 * @return
	 */
	public SearchInputStyleConstact.Presenter createDealerOutChoicePresenter(CacheGet cacheG, Context context,
			SearchInputStyleConstact.View sView, Intent intent){
		
		return getSaleCreate().createDealerOutChoicePresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取选择经销商的presenter
	 * @param cacheG
	 * @param context
	 * @param sView
	 * @param intent
	 * @return
	 */
	public SearchInputStyleConstact.Presenter createWarehouseDealerChoicePresenter(CacheGet cacheG, Context context,
			SearchInputStyleConstact.View sView, Intent intent){
		
		return getOutWarehouseCreate().createDealerChoicePresenter(getHandsetVersionMode(cacheG, context), context, sView,
				intent);
	}
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createSaleListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getSaleCreate().createSaleListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createDealerOutListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getSaleCreate().createDealerOutListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}
	/**
	 * 获取销售相关的数据库 dal
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SalesDal createSalesDal(CacheGet cacheG, Context context) {
		return getSaleCreate().createSalesDal(getHandsetVersionMode(cacheG, context), context);
	}
	/**
	 * 获取销售相关的数据库 dal
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public DealerOutDal createDealerOutDal(CacheGet cacheG, Context context) {
		return getSaleCreate().createDealerOutDal(getHandsetVersionMode(cacheG, context), context);
	}

	/**
	 * 获取养殖列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createFarmListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getFarmCreate().createFarmListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}

	/**
	 * 获取种植列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createPlantListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getPlantCreate().createPlantListPresenter(getHandsetVersionMode(cacheG, context), context, hisView,
				intent);
	}

	/**
	 * 获取火车发运单列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createTrainShipmentListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getTrainShipmentCreate().createTrainShipmentListPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	
	/**
	 * 获取火车发运单列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public ShipmentScannerConstact.Presenter createTrainShipmentScannerPresenter(CacheGet cacheG, Context context,
			ShipmentScannerConstact.View hisView, Intent intent) {
		return getTrainShipmentCreate().createTrainShipmentScannerPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	/**
	 * 获取火车发运单列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public TrainInvoiceConfigConstact.Presenter createTrainConfigPresenter(CacheGet cacheG, Context context,
			TrainInvoiceConfigConstact.View hisView, Intent intent) {
		return getTrainShipmentCreate().createTrainConfigPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	/**
	 * 获取汽车发货列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createTruckShipmentListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getTruckShipmentCreate().createTruckShipmentListPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	
	/**
	 * 获取汽车发货列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createTruckShipmentSubListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getTruckShipmentCreate().createTruckShipmentSubListPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	/**
	 * 获取调货列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createExchangeCargoListPresenter(CacheGet cacheG, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		return getExchangeCargoCreate().createExchangeCargoListPresenter(getHandsetVersionMode(cacheG, context), context, hisView, intent);
	}
	
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public TruckInvoiceConfigConstact.Presenter createTruckShipmentConfigPresenter(CacheGet cacheG, Context context,
			TruckInvoiceConfigConstact.View tView, Intent intent) {
		return getTruckShipmentCreate().createTruckShipmentConfigPresenter(getHandsetVersionMode(cacheG, context),
				context, tView, intent);
	}
	
	/**
	 * 获取销售列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public TruckInvoiceInputConfigConstact.Presenter createTruckShipmentInputConfigPresenter(CacheGet cacheG, Context context,
			TruckInvoiceInputConfigConstact.View tView, Intent intent) {
		return getTruckShipmentCreate().createTruckShipmentInputConfigPresenter(getHandsetVersionMode(cacheG, context),
				context, tView, intent);
	}
	
	/**
	 * 获取火车发运单列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public ShipmentScannerConstact.Presenter createTruckShipmentScannerPresenter(CacheGet cacheG, Context context,
			ShipmentScannerConstact.View hisView, Intent intent) {
		return getTruckShipmentCreate().createTruckShipmentScannerPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	
	/**
	 * 获取火车发运单列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public ShipmentSingleScannerConstact.Presenter createTruckShipmentSingleScannerPresenter(CacheGet cacheG, Context context,
			ShipmentSingleScannerConstact.View hisView, Intent intent) {
		return getTruckShipmentCreate().createTruckShipmentSingleScannerPresenter(getHandsetVersionMode(cacheG, context),
				context, hisView, intent);
	}
	
	/**
	 * 获取操作 提交状态  相关的 数据库 dal
	 * 
	 * @param cacheG
	 * @param context
	 * @return
	 */
	public UploadStatusConstact.Presenter createUploadStatusPresenter(CacheGet cacheG, Context context,
			UploadStatusConstact.View uView, Intent intent) {
		return getUploadStatusCreate().createUploadStatusPresenter(getHandsetVersionMode(cacheG, context), context, uView, intent);
	}
	/**
	 * 获取查询的 presenter
	 * @param cacheG
	 * @param context
	 * @param qView
	 * @param intent
	 * @return
	 */
	public QueryConstact.Presenter createQueryPresenter(CacheGet cacheG, Context context,
			QueryConstact.View qView, Intent intent){	
		return getQueryConfigCreate().createQueryPresenter(getHandsetVersionMode(cacheG, context), context, qView, intent);
	}
	/**
	 * 获取操作 提交状态  相关的 数据库 dal
	 * 
	 * @param cacheG
	 * @param context
	 * @return
	 */
	public UploadStatusDal createUploadStatusDal(CacheGet cacheG, Context context) {
		return getUploadStatusCreate().createUploadStatusDal(getHandsetVersionMode(cacheG, context), context);
	}
	
	public ShipmentUploadStatusDal createShipmentUploadStatusDal(CacheGet cacheG,Context context){
		return getUploadStatusCreate().createShipmentUploadStatusDal(getHandsetVersionMode(cacheG, context),context);
	}
	private PackBoxConfigCreateTools getPackBoxCreate() {
		if (packBoxConfigCreateTools == null) {
			packBoxConfigCreateTools = new PackBoxConfigCreateTools();
		}
		return packBoxConfigCreateTools;
	}
	
	private BingConfigCreateTools getBingCreate() {
		if (bingConfigCreateTools == null) {
			bingConfigCreateTools = new BingConfigCreateTools();
		}
		return bingConfigCreateTools;
	}
	
	private CarConfigCreateTools getCarCreateTools(){
		if (carConfigCreateTools == null) {
			carConfigCreateTools = new CarConfigCreateTools();
		}
		return carConfigCreateTools;
	}
	private ReturnsCreateTools getReturnsCreateTools(){
		if (returnsCreateTools == null) {
			returnsCreateTools = new ReturnsCreateTools();
		}
		return returnsCreateTools;
	}
	private CounterSaleCreateTools getCounterSaleCreateTools(){
		if (counterSaleCreateTools == null) {
			 counterSaleCreateTools = new CounterSaleCreateTools();
		}
		return counterSaleCreateTools;
	}
	private UploadStatusCreateTools getUploadStatusCreate() {
		if (uploadStatusCreateTools == null) {
			uploadStatusCreateTools = new UploadStatusCreateTools();
		}
		return uploadStatusCreateTools;
	}

	private HomeConfigCreateTools getHomeCreate() {
		if (homePresenterCreateTools == null) {
			homePresenterCreateTools = new HomeConfigCreateTools();
		}
		return homePresenterCreateTools;
	}

	private ActivateConfigCreateTools getActivateCreate() {
		if (activatePresenterCreate == null) {
			activatePresenterCreate = new ActivateConfigCreateTools();
		}
		return activatePresenterCreate;
	}

	private SettingConfigCreateTools getSettingCreate() {
		if (settingPresenterCreateTools == null) {
			settingPresenterCreateTools = new SettingConfigCreateTools();
		}
		return settingPresenterCreateTools;
	}

	private ProductConfigCreateTools getProductCreate() {
		if (productPresenterCreateTools == null) {
			productPresenterCreateTools = new ProductConfigCreateTools();
		}
		return productPresenterCreateTools;
	}

	private PackConfigCreateTools getPackCreate() {
		if (packPresenterCreateTools == null) {
			packPresenterCreateTools = new PackConfigCreateTools();
		}
		return packPresenterCreateTools;
	}

	private UnPackConfigCreateTools getUnPackCreate() {
		if (unPackPresenterCreateTools == null) {
			unPackPresenterCreateTools = new UnPackConfigCreateTools();
		}
		return unPackPresenterCreateTools;
	}

	private OutWarehouseConfigCreateTools getOutWarehouseCreate() {
		if (outWarehousePresenterCreateTools == null) {
			outWarehousePresenterCreateTools = new OutWarehouseConfigCreateTools();
		}
		return outWarehousePresenterCreateTools;
	}

	private InWarehouseConfigCreateTools getInWarehouseCreate() {
		if (inWarehousePresenterCreateTools == null) {
			inWarehousePresenterCreateTools = new InWarehouseConfigCreateTools();
		}
		return inWarehousePresenterCreateTools;
	}

	private BackWarehouseConfigCreateTools getbackWarehouseCreate() {
		if (backWarehousePresenterCreateTools == null) {
			backWarehousePresenterCreateTools = new BackWarehouseConfigCreateTools();
		}
		return backWarehousePresenterCreateTools;
	}

	private SaleConfigCreateTools getSaleCreate() {
		if (salePresenterCreateTools == null) {
			salePresenterCreateTools = new SaleConfigCreateTools();
		}
		return salePresenterCreateTools;
	}

	private FarmConfigCreateTools getFarmCreate() {
		if (farmPresenterCreateTools == null) {
			farmPresenterCreateTools = new FarmConfigCreateTools();
		}
		return farmPresenterCreateTools;
	}

	private PlantConfigCreateTools getPlantCreate() {
		if (plantPresenterCreateTools == null) {
			plantPresenterCreateTools = new PlantConfigCreateTools();
		}
		return plantPresenterCreateTools;
	}

	private TrainShipmentConfigCreateTools getTrainShipmentCreate() {
		if (trainShipmentPresenterCreateTools == null) {
			trainShipmentPresenterCreateTools = new TrainShipmentConfigCreateTools();
		}
		return trainShipmentPresenterCreateTools;
	}

	private ExchangeCargoConfigCreateTools getExchangeCargoCreate() {
		if (exchangeCargoCreateTools == null) {
			exchangeCargoCreateTools = new ExchangeCargoConfigCreateTools();
		}
		return exchangeCargoCreateTools;
	}
	
	private TruckShipmentConfigCreateTools getTruckShipmentCreate() {
		if (truckShipmentPresenterCreateTools == null) {
			truckShipmentPresenterCreateTools = new TruckShipmentConfigCreateTools();
		}
		return truckShipmentPresenterCreateTools;
	}
	/**
	 * 得到查询的饿配置
	 * @return
	 */
	private QueryConfigCreateTools getQueryConfigCreate() {
		if (queryConfigCreateTools == null) {
			queryConfigCreateTools = new QueryConfigCreateTools();
		}
		return queryConfigCreateTools;
	}
}
